Subject: Re: draft-kompella-l2vpn-vpls-multihoming-01

From: Bhupesh Kothari <[email-masked]>
Date: Wed, 06 Aug 2008 15:09:33 -0700

Hi Ed,

Mallette, Edwin <[email-masked]> wrote:

> Hi Bhupesh,
> 
> My comments are based on scenario 1:
> 
>                              ...............
> 
>                             .               .    ___ CE2
> 
>                       ___ PE1                .  /
> 
>                      /    :                  PE3
> 
>                   __/    :       Service      :
> 
>               CE1 __     :       Provider    PE4
> 
>                     \     :                   : \___ CE3
> 
>                      \___ PE2                .
> 
>                             .               .
> 
>                              ...............
> 
> It doesn’t appear that the draft includes failure conditions
> accounted for.  As such, it strikes me the only the reasonable
> failure case in which PE1 becomes aware of the attachment circuit
> failure is when the PE1-to-CE1 AC loses link.  Is this an accurate
> assertion?

No.  

> 
> As it’s common to have some multi-access layer between PE1 and CE1
> that essentially hides any sort of link loss unless the link between
> PE1 and the multi-access device fails, how would we account for
> that?  With the spanning-tree model, there are some opportunities
> for control messages that would verify the forwarding path between
> PE1 and CE1.  I like to see some verbiage about how to determine PE1
> to CE1 and PE2 to CE1 path health in addition to the loop mitigation
> methods described in this draft.  Some sort of 802.1ag or 802.3ah
> OAM messaging between PE1 and CE1 and PE2 and CE1 to verify path
> health would seem to be a potential fit here.  

Both 802.1ag and 802.3ah are a fit.  How you detect failure is
independent of what you do (path selection in this case) on detecting
the failure, and thats why its outside the scope of this draft.  

> I’m not sure if adding that to this draft is appropriate, though I
> would think it’s reasonable to call out specific applicable use
> cases or to exclude some use cases based on the last-mile.

I am not clear.  Are you suggesting that we provide a list 802.1ag,
802.3ah, etc. that can be used for failure detection and what would
happen if there is lack of such mechanisms?

> Regards,
> Ed

Thanks
Bhupesh